package com.yunzhupaas.permission.mapper;


import com.yunzhupaas.base.mapper.SuperMapper;
import com.yunzhupaas.base.model.base.SystemBaeModel;
import com.yunzhupaas.base.model.form.ModuleFormModel;
import com.yunzhupaas.permission.entity.AuthorizeEntity;
import com.yunzhupaas.base.model.button.ButtonModel;
import com.yunzhupaas.base.model.column.ColumnModel;
import com.yunzhupaas.base.model.module.ModuleModel;
import com.yunzhupaas.base.model.resource.ResourceModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 * @author 云筑产品开发平台组
 * @version V3.1.0
 * @copyright 深圳市乐程软件有限公司
 * @date 2024/3/12 15:27
 */
public interface AuthorizeMapper extends SuperMapper<AuthorizeEntity> {


    List<ModuleModel> findModule(@Param("objectId") List<String> objectId, @Param("systemId") List<String> systemId, @Param("moduleAuthorize") List<String> moduleAuthorize, @Param("moduleUrlAddressAuthorize") List<String> moduleUrlAddressAuthorize, @Param("mark") Integer mark,@Param("moduleCode") List<String> moduleCode);

    List<ButtonModel> findButton(@Param("objectId") List<String> objectId);

    List<ColumnModel> findColumn(@Param("objectId") List<String> objectId);

    List<ResourceModel> findResource(@Param("objectId") List<String> objectId);

    List<ModuleFormModel> findForms(@Param("objectId") List<String> objectId);

    List<SystemBaeModel> findSystem(@Param("objectId") List<String> objectId, @Param("enCode") String enCode, @Param("moduleAuthorize") List<String> moduleAuthorize, @Param("mark") Integer mark);

    List<ButtonModel> findButtonAdmin(@Param("mark") Integer mark);

    List<ColumnModel> findColumnAdmin(@Param("mark") Integer mark);

    List<ResourceModel> findResourceAdmin(@Param("mark") Integer mark);

    List<ModuleFormModel> findFormsAdmin(@Param("mark") Integer mark);

}

